Quassel IRC - Bug #552

Downgrading DB borks database without warning
02/12/2009 08:26 PM - kitterma

Status: Resolved Start date: 02/12/2009
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Version: 0.3.1+ 0S: Any
Description

Because of the problems | was having with my Feb 11 git snapshot core, | downgraded to Feb 6 core and then got:

2009-02-12 13:51:58 Error: Installed Schema is newer then any known Version.
2009-02-12 13:51:58 Error: unhandled Error in QSqlQuery!

2009-02-12 13:51:58 Error: last Query: "CREATE TABLE quasseluser ( userid INTEGER NOT NULL PRIMARY KEY
AUTOINCREMENT, username TEXT UNIQUE NOT NULL, password TEXT NOT NULL)"

2009-02-12 13:51:58 Error: executed Query: "

2009-02-12 13:51:58 Error: bound Values:

2009-02-12 13:51:58 Error: Error Number: 1

2009-02-12 13:51:58 Error: Error Message: "table quasseluser already exists Unable to execute statement”

2009-02-12 13:51:58 Error: Driver Message: "Unable to execute statement”

2009-02-12 13:51:58 Error: DB Message: "table quasseluser already exists"

2009-02-12 13:51:58 Error: Unable to setup Logging Backend!

2009-02-12 13:51:58 Error: Could not init storage!

2009-02-12 13:52:09 Info: Non-authed client disconnected. 72.81.252.22

2009-02-12 13:52:09 Info: Listening for GUI clients on IPv4 0.0.0.0 port 4242 using protocol version 9
2009-02-12 13:52:38 Info: Client connected from 72.81.252.22

2009-02-12 13:52:38 Info: Closing server for basic setup.

2009-02-12 13:52:52 Error: Installed Schema is newer then any known Version.

2009-02-12 13:52:52 Error: unhandled Error in QSqlQuery!

2009-02-12 13:52:52 Error: last Query: "CREATE TABLE quasseluser ( userid INTEGER NOT NULL PRIMARY KEY
AUTOINCREMENT, username TEXT UNIQUE NOT NULL, password TEXT NOT NULL)"

2009-02-12 13:52:52 Error: executed Query: "

2009-02-12 13:52:52 Error: bound Values:

2009-02-12 13:52:52 Error: Error Number: 1

2009-02-12 13:52:52 Error: Error Message: "table quasseluser already exists Unable to execute statement”

2009-02-12 13:52:52 Error: Driver Message: "Unable to execute statement”

2009-02-12 13:52:52 Error: DB Message: "table quasseluser already exists"

2009-02-12 13:52:52 Error: Unable to setup Logging Backend!
2009-02-12 13:52:52 Error: Could not init storage!

So then | upgraded back to the Feb 11 version and still got the same error.

Associated revisions

Revision bb799766223a6388e476f320ad74720c802b2d83 - 02/13/2009 02:41 PM - Marcus Eggenberger

Fixes #552 - Don't try to use DBs with a too new schema version

Revision bb799766 - 02/13/2009 02:41 PM - Marcus Eggenberger

Fixes #552 - Don't try to use DBs with a too new schema version

History

#1 - 02/13/2009 04:24 PM - EgS
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset bb799766223a6388e476f320ad74720c802b2d83.
https://bugs.quassel-irc.org/projects/quassel-irc/repository/revisions/bb799766223a6388e476f320ad74720c802b2d83

#2 - 02/13/2009 04:25 PM - EgS

Obviously this fix doesn't help if you start any version of quassel prior to this commit.
Also | want to point out that, the DB was never in a corrupted state here.
